Skip to main content
`Ctrl`+`K`

# SNESFASSetNumberSmoothDown

Sets the number of pre-smoothing steps to use on all levels.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetNumberSmoothDown(SNES snes, PetscInt n)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- n - the number of smoothing steps to use

## Options Database Key

- -snes_fas_smoothdown n - Sets number of pre-smoothing steps

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetNumberSmoothUp()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages